# $Revision: 1.4.2.3 $, $Date: 2007/03/08 14:17:20 $
%include	/usr/lib/rpm/macros.mono
Summary:	.NET language bindings for GtkSourceView
Summary(pl):	Wizania GtkSourceView dla .NET
Name:		dotnet-gtksourceview-sharp2
Version:	0.10
Release:	6
License:	LGPL
Group:		Libraries
Source0:	http://go-mono.com/sources/gtksourceview-sharp-2.0/gtksourceview-sharp-2.0-%{version}.tar.gz
# Source0-md5:	2179634b8931e6be849a1e1f82c834e3
URL:		http://www.mono-project.com/
BuildRequires:	autoconf
BuildRequires:	automake >= 1:1.7
BuildRequires:	dotnet-gtk-sharp2-gnome-devel >= 1.9.3
BuildRequires:	gtksourceview-devel >= 1.0.1
BuildRequires:	libtool
BuildRequires:	monodoc
BuildRequires:	mono-csharp >= 1.1.7
BuildRequires:	pkgconfig
Requires:	dotnet-gtk-sharp2-gnome >= 1.9.3
Requires:	mono >= 1.1.7
Requires:	gtksourceview >= 1.0.1
ExcludeArch:	i386
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides .NET bindings for GtkSourceView library.

%description -l pl
Pakiet ten dostarcza wizania .NET do biblioteki GtkSourceView.

%package devel
Summary:	Development part of GtkSourceView#
Summary(pl):	Cz GtkSourceView# przeznaczona dla programistw
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	dotnet-gtk-sharp2-gnome-devel >= 1.9.3

%description devel
Development part of GtkSourceView#.

%description devel -l pl
Cz GtkSourceView# przeznaczona dla programistw.

%prep
%setup -q -n gtksourceview-sharp-2.0-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__automake}
%{__autoconf}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT`monodoc --get-sourcesdir`

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

# already in gtksourceview package
rm -f $RPM_BUILD_ROOT%{_datadir}/gtksourceview-1.0/language-specs/{csharp,nemerle,vbnet}.lang

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog
%{_prefix}/lib/mono/gac/*

%files devel
%defattr(644,root,root,755)
%{_prefix}/lib/mono/gtksourceview-sharp-2.0
%{_datadir}/gapi-2.0/*
%{_pkgconfigdir}/*.pc
%{_libdir}/monodoc/sources/gtksourceview-sharp-*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dotnet-gtksourceview-sharp2.spec,v $
Revision 1.4.2.3  2007/03/08 14:17:20  qboosh
- release 6: rebuild with restored mono() deps

Revision 1.4.2.2  2007/02/17 16:23:17  qboosh
- fixed EA; release 5

Revision 1.4.2.1  2007/02/17 16:04:49  qboosh
- release 4

Revision 1.4  2005/12/03 12:03:30  qboosh
- removed patches, updated spec for mono dlls in /usr/lib (R: mono >= 1.1.7)
- simplified *.pc moving
- release 3

Revision 1.3  2005/12/03 10:29:48  qboosh
- fixed descs, base docs to base

Revision 1.2  2005/11/30 20:08:08  freetz
- fix pkgconfig libdir, rel.2

Revision 1.1  2005/11/30 16:29:09  freetz
- moved from dotnet-gtksourceview DEVEL branch
